Retrieves the work instruction with the specified key.

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

work_instruction
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating work_instruction

string
sales_organization

Embedded entity "sales_organization" when adding/updating work_instruction

sales_organization
job_type_id

Applicable job_type

globally unique identifier

Required

job_type_code

Applicable job_type

string
equipment_family_id

Applicable equipment family

globally unique identifier

Required

equipment_family_code

Applicable equipment family

string
skill_ids

List of only applicable skils

Collection of globally unique identifier
skill_codes

List of only applicable skils

Collection of string
name

Name of the header of the work instruction.

string

Required

Max length: 50

description

Explanation of these instructions for the technician.

string

Required

Max length: 255

estimated_work_time

Time needed to complete these instructions. Number in minute.

integer
additional_information

Additional information

string

Max length: 4000

reference_back_office

The Id/Ref of the back office for this work instruction. Used by Embedded entity

string

Max length: 255

is_required

If true then all instructions required to be executed

boolean
is_archived

Specify if the object is not usable anymore

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "72c95468-e746-414c-b235-bf53f0f5a8d9",
  "sales_organization_id": "0e290b10-ec10-479f-bc7d-0541b88f862f",
  "sales_organization_code": "sample string 3",
  "job_type_id": "09cf6d56-9c6e-4e86-83f7-dd0cb9303b47",
  "job_type_code": "sample string 5",
  "equipment_family_id": "b9616bad-f005-45df-8004-473c19564f67",
  "equipment_family_code": "sample string 7",
  "skill_ids": [
    "2de8af14-00c1-4d94-a030-0c9b6dbbe4ef",
    "b939c0f6-e231-4132-aa81-772a415b34bd"
  ],
  "skill_codes": [
    "sample string 1",
    "sample string 2"
  ],
  "name": "sample string 8",
  "description": "sample string 9",
  "estimated_work_time": 10,
  "additional_information": "sample string 11",
  "reference_back_office": "sample string 12",
  "is_required": true,
  "is_archived": true,
  "modified_dateutc": "2026-10-27T13:00:13.3910544+00:00"
}